class Procmail < Formula
  desc "Autonomous mail processor"
  # NOTE: Use the patched version from Apple
  homepage "https://github.com/apple-oss-distributions/procmail"
  url "https://github.com/apple-oss-distributions/procmail/archive/refs/tags/procmail-14.tar.gz"
  sha256 "835e95c34bf93e603ecdc98113ce41bb8fa610d7dd0efe56977a66b131c5335d"
  license any_of: ["GPL-2.0-or-later", "Artistic-1.0-Perl"]

  def install
    # Fix compile with newer Clang
    if DevelopmentTools.clang_build_version >= 1403
      inreplace "procmail/Makefile", "CFLAGS0 = -O",
                                     "CFLAGS0 = -Wno-implicit-function-declaration -Wno-implicit-int -O"
    end

    system "make", "-C", "procmail", "BASENAME=#{prefix}", "MANDIR=#{man}",
           "LOCKINGTEST=1", "install"
  end

  test do
    path = testpath/"test.mail"
    path.write <<~EOS
      From alice@example.net Tue Sep 15 15:33:41 2015
      Date: Tue, 15 Sep 2015 15:33:41 +0200
      From: Alice <alice@example.net>
      To: Bob <bob@example.net>
      Subject: Test

      please ignore
    EOS
    assert_match "Subject: Test", shell_output("#{bin}/formail -X 'Subject' < #{path}")
    assert_match "please ignore", shell_output("#{bin}/formail -I '' < #{path}")
  end
end
